Package com.avaya.clientservices.call.feature

## Enum ForwardingOverride

- java.lang.Object
- - java.lang.Enum<ForwardingOverride>
  - - com.avaya.clientservices.call.feature.ForwardingOverride

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ForwardingOverride>`

      public enum ForwardingOverride
      extends java.lang.Enum<ForwardingOverride>

  Specifies whether the forwarding destination of monitored station will be ignored by Team Button speed dial invocation if any of forwarding features are enabled on the monitored station. Rerouting is considered active if Send All Calls, Call Forward or Enhanced Call Forward have active forwarding. If set to ask, the client can override the forwarding destination using the bOverride argument of `TeamButton.speedDial(boolean, com.avaya.clientservices.call.feature.FeatureCompletionHandler)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASK` | The client can specify whether Call forwarding destination on the monitored station will be overridden by Team Button speed dial invocation or not.
    `NO` | Call forwarding destination on the monitored station will not be overridden by Team Button speed dial invocation.
    `UNDEFINED` | Undefined.
    `YES` | Call forwarding destination on the monitored station will be overridden by Team Button speed dial invocation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ForwardingOverride` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ForwardingOverride[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final ForwardingOverride UNDEFINED

      Undefined.

    - #### NO

          public static final ForwardingOverride NO

      Call forwarding destination on the monitored station will not be overridden by Team Button speed dial invocation.

    - #### YES

          public static final ForwardingOverride YES

      Call forwarding destination on the monitored station will be overridden by Team Button speed dial invocation.

    - #### ASK

          public static final ForwardingOverride ASK

      The client can specify whether Call forwarding destination on the monitored station will be overridden by Team Button speed dial invocation or not.

  - ### Method Detail

    - #### values

          public static ForwardingOverride[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ForwardingOverride c : ForwardingOverride.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ForwardingOverride valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null